Asterisk Project : Asterisk 11 Function_UNLOCK This page last changed on Jul 20, 2012 by wikibot. # UNLOCK() ### Synopsis Unlocks a named mutex. ### Description Unlocks a previously locked mutex. Returns `1` if the channel had a lock or `0` otherwise.
| Note It is generally unnecessary to unlock in a hangup routine, as any locks held are automatically freed when the channel is destroyed.
### Syntax
    UNLOCK(lockname)
##### Arguments `lockname` ### Import Version This documentation was imported from Asterisk Version SVN-trunk-r370328

Document generated by Confluence on Nov 02, 2012 17:43